=== config/CMakeLists.txt ===
# declare project
PROJECT(config)

# recurse into subdirectories
SUBDIRS(docs)
