=== dcmjpeg/CMakeLists.txt ===
# declare project
PROJECT(dcmjpeg)

# recurse into subdirectories
SUBDIRS(libsrc libijg8 libijg12 libijg16 apps include/dcmtk/dcmjpeg)
