=== dcmjpls/CMakeLists.txt ===
# declare project
PROJECT(dcmjpls)

# recurse into subdirectories
SUBDIRS(libsrc libcharls apps include/dcmtk/dcmjpls)
