=== debian/changelog ===
dcmtk (3.6.0-15) unstable; urgency=low

  * Transition to Apache 2.4. Closes: #669740
  * Use wrap and sort
  * Fix possible double free()
    - debian/patches/doubledes.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Sep 2013 10:54:17 +0200

dcmtk (3.6.0-14) unstable; urgency=low

  * Install *.dic within libdcmtk2/ as per policy, section §8.2. Closes: #709123
  * Import patches from upstream:
    + d/p/fixnull.patch
    + d/p/noleak.patch
    + d/p/nothrow.patch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 29 May 2013 14:38:44 +0200

dcmtk (3.6.0-13) unstable; urgency=low

  * Remove d/README.source, since source-format 3.0
  * Update dcmtk-www README for install instructions
  * Remove obsolete DMUA flag
  * Bump Std-Vers to 3.9.4, no changes needed
  * Provide a debug package. Closes: #690733
  * Fix SIGSEGV. Closes: #703716
  * Update d/control, and simplify Breaks/Conflicts with older dcmtk

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 May 2013 10:10:29 +0200

dcmtk (3.6.0-12) unstable; urgency=low

  [ Andrey Rahmatullin ]
  * Fix underlinked libraries. Closes: #677721
   - debian/patches/underlink.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 20 Dec 2012 13:20:45 +0100

dcmtk (3.6.0-11) unstable; urgency=low

  * Fix compilation with gcc 4.7. Closes: #674361
   - debian/patches/bug674361.patch
  * Make sure to link against libxml2. Closes: #510120
  * Fix some underlinking. Closes: #674586
   - debian/patches/underlink.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 31 May 2012 11:31:16 +0200

dcmtk (3.6.0-10) unstable; urgency=low

  [ Andreas Tille ]
  * debian/dcmtk.prerm: when purging dirs in /var/lib need to be
    removed in advance. Closes: #660346

  [ Mathieu Malaterre ]
  * Use libpng-dev. Closes: #662296
  * Use libtiff-dev for transition to tiff5
  * Bump Std-Vers to 3.9.3. No changes needed

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 06 Mar 2012 23:01:59 +0100

dcmtk (3.6.0-9) unstable; urgency=low

  * Remove dot wrapper, not required anymore.
  * Generate doc using svg instead of png to save disk space
  * Fix compilation. Thanks to Bhavani Shankar. Closes: #646316
  * Fix VCS URLs

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 23 Nov 2011 16:31:18 +0100

dcmtk (3.6.0-8) unstable; urgency=low

  * Adding a storescp daemon
  * Remove convenient copy of CharLS. Closes: #631100

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Jul 2011 17:08:19 +0200

dcmtk (3.6.0-7) unstable; urgency=low

  * Add a patch (from current git/master) to fix a regression. Closes: #630781
  * Another fix to remove symlink only if exists
  * Remove deprecated lintian override

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 17 Jun 2011 14:43:37 +0200

dcmtk (3.6.0-6) unstable; urgency=low

  * Make sure OFFIS_DCMTK_VERSION_NUMBER is really a number. Closes: #628168
  * Update Standard Version to 3.9.2. No changes needed
  * Fix some lintian errors in control file
  * Fix piuparts reports on remaining dcmtk apache configuration file

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 31 May 2011 23:28:12 +0200

dcmtk (3.6.0-5) unstable; urgency=low

  * Fix invalid dep. to apache with apache2
  * Remove explicit `invoke-rc.d dcmqrscp stop` since it makes package
    un-removable. Let dh_installinit handles it

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 28 Mar 2011 15:33:06 +0200

dcmtk (3.6.0-4) unstable; urgency=low

  * new release fixes segfault. Closes: #615977
  * Update README. Closes: #618686
  * 3.6.0 is already packaged. Closes: #610855
  * Update postrm script. Closes: #618688

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 17 Mar 2011 17:32:48 +0100

dcmtk (3.6.0-3) unstable; urgency=low

  * Properly conflict with dcmtk 3.5.4 and libdcmtk2
  * Remove reference to issue with UNIX FHS

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 08 Mar 2011 17:14:24 +0100

dcmtk (3.6.0-2) experimental; urgency=low

  * Update copyright to reflects 3.6.0 changes
  * Update dcmtk.NEWS to reflects 3.6.0 news
  * Minor update to dcmtk.README.Debian for build instructions
  * Minor cosmetic changes to the patch series

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 08 Feb 2011 19:20:13 +0100

dcmtk (3.6.0-1) experimental; urgency=low

  [ Mathieu Malaterre ]
  * New upstream: 3.6.0
  * Update SONAME to 2.0.0 because of change in log4cplus::Logger::addAppender
  * Fix lintian errors on misc:Depends
  * Fix lintian errors on init.d script
  * Add a patch to link wth png/tiff libraries
  * Update perl path patch
  * debian/control: Update standards-version to 3.9.1
  * Fix new naming convention for this release
  * Add get-orig-source target in rules file
  * Fix CHANGES numbering into something more flexible for later revs.
  * Move *.dic file to the libdcmtk2 package
  * Switch to dpkg-source 3.0 (quilt) format

  [ Andreas Tille ]
  * make sure *.dic file shwo up only in libdcmtk2 package
  * Add -f to rm statement in clean target

 -- Andreas Tille <tille@debian.org>  Fri, 04 Feb 2011 22:24:40 +0100

dcmtk (3.5.4-4) unstable; urgency=low

  [Andreas Tille]
  * Group maintenance according to Debian Med group policy
  * Added myself as Uploader
  * VCS fields
  * Standards-Version: 3.8.3 (Added README.source)
  * debhelper >= 7
  * Add passive mode to watch file
  * make use of dh_install
  * debian/patches/05_no_www_docs.patch: Just do not install those
    files we do not need in the docs of the package in the first
    place instead of removing them later
  * Removed some lintian warnings
  * debian/patches/06_old_patches_from_diff_gz.patch: Move changes
    from diff.gz to quilt patches
  * Remove unused config files from previous versions according to
    http://wiki.debian.org/DpkgConffileHandling
    (The former handling in preinst triggered a lintian error)
  * debian/dcmtk.NEWS: Reformating according to developers reference

