=== debian/control ===
Source: dcmtk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Juergen Salk <jsa@debian.org>,
           Andreas Tille <tille@debian.org>,
           Mathieu Malaterre <malat@debian.org>
Build-Depends: autoconf,
               autotools-dev,
               debhelper (>= 9),
               doxygen (>= 1.7.4),
               dpkg-dev (>= 1.16.1~),
               graphviz,
               libcharls-dev,
               libpng-dev,
               libssl-dev,
               libtiff-dev,
               libwrap0-dev,
               libxml2-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtk/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dcmtk/trunk/
Homepage: http://dicom.offis.de/dcmtk

Package: dcmtk
Architecture: any
Depends: adduser (>= 3.34), ${misc:Depends}, ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dcmtk (<< 3.6.0)
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk2-dev
Section: libdevel
Architecture: any
Depends: libdcmtk2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdcmtk1-dev
Replaces: libdcmtk1-dev
Provides: libdcmtk-dev
Suggests: dcmtk-doc
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-www
Section: web
Architecture: any
Depends: dcmtk, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: apache2 | httpd
Description: OFFIS DICOM toolkit worklist www server application
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DICOM basic worklist management web server
 application. You only need to install this if you want to manage worklist
 entries using a web browser.

Package: dcmtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: dcmtk, libdcmtk2-dev
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

Package: libdcmtk2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdcmtk2 (= ${binary:Version}), ${misc:Depends}
Description: OFFIS DICOM toolkit library debugging symbols
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the debugging symbols for libdcmtk2.
