=== debian/watch ===
version=3
opts="passive" \
ftp://dicom.offis.de/pub/dicom/offis/software/dcmtk/dcmtk([\d\.]+)/dcmtk-(.*)\.tar\.gz
